Import an exception list
- Base URL
-
https://{kibana_url}
- POST /api/exception_lists/_import
- POST /s/{space_id}/api/exception_lists/_import
Import an exception list and its associated items from an NDJSON file.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Successful response
-
errorsobject[]required -
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
list_idstring · format: nonempty · min length: 1 -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
Invalid input data response
Unsuccessful authentication response
Not enough privileges response